# NSData

    extension NSData: CoreDataNativeType

    extension NSData: DefaultNSSecureCodable

    extension NSData: FieldStorableType

    extension NSData: ImportableAttributeType

    extension NSData: AllowedOptionalObjectiveCKeyPathValue

    extension NSData: AllowedObjectiveCAttributeKeyPathValue

    extension NSData: QueryableAttributeType

### NSData

- `cs_fromFieldStoredNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromFieldStoredNativeType(_ value: FieldStoredNativeType) -> Self

### AllowedOptionalObjectiveCKeyPathValue

- `DestinationValueType`

  #### Declaration

  Swift

      public typealias DestinationValueType = NSData

### AllowedObjectiveCAttributeKeyPathValue

- `ReturnValueType`

  #### Declaration

  Swift

      public typealias ReturnValueType = NSData

### NSData

- `QueryableNativeType`

  #### Declaration

  Swift

      public typealias QueryableNativeType = NSData

- `cs_rawAttributeType`

  #### Declaration

  Swift

      @nonobjc
      public class var cs_rawAttributeType: NSAttributeType { get }

- `cs_fromQueryableNativeType(_:)`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public class func cs_fromQueryableNativeType(_ value: QueryableNativeType) -> `Self`?

- `cs_toQueryableNativeType()`

  #### Declaration

  Swift

      @nonobjc
      @inline(__always)
      public func cs_toQueryableNativeType() -> QueryableNativeType